#!/usr/bin/env python
# -*- coding: UTF-8 -*-

###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# suppression_partage.py partage
#
# Utilitaire de suppression d'un partage dans l'annuaire d'Horus
#
###########################################################################

#####################
#import des modules
#####################
import sys
from horus import backend


#####################
# programme principal
#####################

def main():
    try:
        # on affiche le message d'aide si besoin
        if sys.argv[1] in ["--help","-h"]:
            print ("\n syntaxe : "+sys.argv[0]+" partage1,partage2 \n         ou "+sys.argv[0]+" pour le mode interactif \n")
            return
        partages = sys.argv[1].split(',')
    except:
        # demande du partage à supprimer
        partages = []
        partage = ""
        fin_liste = 0
        while fin_liste == 0:
            partage = raw_input("entrez un nom de partage (rien pour terminer la liste) : ")
            if partage != "":
                partages.append(partage)
            else:
                fin_liste = 1
                
    # supression des groupes partages
    for partage in partages:
        if not backend.del_share(partage):
             print "Erreur de suppression du partage %s" % partage

if __name__ == '__main__':
    main()
