#!/usr/bin/env python
# -*- coding: UTF-8 -*-
###########################################################################
# Eole NG - 2007
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr
#
# Parseur DOM pour fichiers XML issus de AAF
#
###########################################################################

import sys
from horus import aaf
import os

def open_file(filename, mode):
    try:
        return file(filename, mode)
    except:
        print "Impossible d'ouvrir le fichier %s"%filename
        sys.exit()

if __name__ == "__main__":
    print
    print """** Génération de comptes à partir d'un fichier AAF **"""
    print
    passfile = "/root/passwords.csv"
    try:
        aaf_file = sys.argv[1]
    except:
        aaf_file = raw_input("Chemin du fichier AAF/peronnel : ")
    f_xml = open_file(aaf_file, 'r')
    f_xml.close()
    print "Génération des mots de passe"
    print "   1 date de naissance (défaut)"
    print "   2 aléatoire"
    pwd = raw_input("> ")
    print '\n'.join(aaf.parse_xml_file(aaf_file, pwd, passfile))

